delimiter ;

CREATE DATABASE `smnswr_certmgmt` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE smnswr_certmgmt;

CREATE TABLE `smnswr_agent` (
  `smnswr_agent_GUID` int(11) NOT NULL AUTO_INCREMENT,
  `smnswr_agent_Name` varchar(100) DEFAULT NULL,
  `smnswr_agent_Server` varchar(50) DEFAULT NULL,
  `smnswr_agent_Server_Agent` varchar(150) DEFAULT NULL,
  `smnswr_agent_Type` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`smnswr_agent_GUID`),
  KEY `idxServerAgent` (`smnswr_agent_Server_Agent`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE `smnswr_application` (
  `smnswr_app_GUID` int(11) NOT NULL AUTO_INCREMENT,
  `smnswr_app_Name` varchar(100) DEFAULT NULL,
  `smnswr_app_OwnerID` int(11) DEFAULT NULL,
  PRIMARY KEY (`smnswr_app_GUID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `smnswr_certificates` (
  `smnswr_certs_GUID` double NOT NULL AUTO_INCREMENT,
  `smnswr_certs_OwnerID` int(11) DEFAULT NULL,
  `smnswr_certs_HostID` int(11) DEFAULT NULL,
  `smnswr_certs_AssociatedApps` varchar(255) DEFAULT NULL,
  `smnswr_certs_Path` varchar(255) DEFAULT NULL,
  `smnswr_certs_Alias` varchar(500) DEFAULT NULL,
  `smnswr_certs_Issuer` varchar(500) DEFAULT NULL,
  `smnswr_certs_IssuedBy` varchar(500) DEFAULT NULL,
  `smnswr_certs_Subject` varchar(500) DEFAULT NULL,
  `smnswr_certs_Algorithm` varchar(100) DEFAULT NULL,
  `smnswr_certs_IssuedTo` varchar(500) DEFAULT NULL,
  `smnswr_certs_SerialNumber` varchar(65) DEFAULT NULL,
  `smnswr_certs_Version` int(11) DEFAULT NULL,
  `smnswr_certs_NotBeforeDate` date DEFAULT NULL,
  `smnswr_certs_NotAfterDate` date DEFAULT NULL,
  `smnswr_certs_Ignore` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `smnswr_certs_Hash` varchar(60) DEFAULT NULL,
  `smnswr_certs_LastNotifyDate` datetime DEFAULT NULL,
  `smnswr_certs_LastScanDate` datetime DEFAULT NULL,
  PRIMARY KEY (`smnswr_certs_GUID`),
  KEY `idxHash` (`smnswr_certs_Hash`),
  KEY `idxPath` (`smnswr_certs_Path`),
  KEY `idxIgnored` (`smnswr_certs_Ignore`),
  KEY `idxCertView` (`smnswr_certs_HostID`,`smnswr_certs_OwnerID`),
  KEY `idxCheckExists` (`smnswr_certs_Hash`,`smnswr_certs_HostID`,`smnswr_certs_Path`),
  KEY `idxIssuedby` (`smnswr_certs_IssuedBy`(333)),
  KEY `idxIssuedto` (`smnswr_certs_IssuedTo`(333)),
  KEY `idxHostID` (`smnswr_certs_HostID`),
  KEY `idxNotifyDate` (`smnswr_certs_LastNotifyDate`),
  KEY `idxStartDate` (`smnswr_certs_NotBeforeDate`),
  KEY `idxEndDate` (`smnswr_certs_NotAfterDate`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE `smnswr_certificatestemp` (
  `smnswr_temp_GUID` varchar(100) NOT NULL,
  `smnswr_temp_OwnerID` int(11) DEFAULT NULL,
  `smnswr_temp_HostID` int(11) DEFAULT NULL,
  `smnswr_temp_Path` varchar(255) DEFAULT NULL,
  `smnswr_temp_Alias` varchar(500) DEFAULT NULL,
  `smnswr_temp_Issuer` varchar(500) DEFAULT NULL,
  `smnswr_temp_Subject` varchar(500) DEFAULT NULL,
  `smnswr_temp_Algorithm` varchar(100) DEFAULT NULL,
  `smnswr_temp_SerialNumber` varchar(65) DEFAULT NULL,
  `smnswr_temp_Version` int(11) DEFAULT NULL,
  `smnswr_temp_NotBeforeDate` date DEFAULT NULL,
  `smnswr_temp_NotAfterDate` date DEFAULT NULL,
  `smnswr_temp_Processed` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `smnswr_temp_Status` varchar(50) DEFAULT NULL,
  `smnswr_temp_LastScanDate` datetime DEFAULT NULL,
  PRIMARY KEY (`smnswr_temp_GUID`),
  KEY `idxTempView` (`smnswr_temp_HostID`,`smnswr_temp_OwnerID`),
  KEY `idxEndDate` (`smnswr_temp_NotAfterDate`),
  KEY `idxStartDate` (`smnswr_temp_NotBeforeDate`),
  KEY `idxProcessed` (`smnswr_temp_Processed`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `smnswr_host` (
  `smnswr_host_GUID` int(11) NOT NULL AUTO_INCREMENT,
  `smnswr_host_Name` varchar(100) DEFAULT NULL,
  `smnswr_host_IPAddress` varchar(250) DEFAULT NULL,
  `smnswr_host_Type` varchar(25) DEFAULT NULL,
  `smnswr_host_OwnerID` int(11) DEFAULT NULL,
  `smnswr_host_IPv6Address` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`smnswr_host_GUID`),
  KEY `idxHost` (`smnswr_host_OwnerID`),
  KEY `idxHostName` (`smnswr_host_Name`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE `smnswr_ignorecertificates` (
  `smnswr_ignore_GUID` double NOT NULL AUTO_INCREMENT,
  `smnswr_ignore_Issuer` varchar(500) DEFAULT NULL,
  `smnswr_ignore_IssuedBy` varchar(500) DEFAULT NULL,
  `smnswr_ignore_Subject` varchar(500) DEFAULT NULL,
  `smnswr_ignore_Algorithm` varchar(100) DEFAULT NULL,
  `smnswr_ignore_IssuedTo` varchar(500) DEFAULT NULL,
  `smnswr_ignore_SerialNumber` varchar(65) DEFAULT NULL,
  `smnswr_ignore_Version` int(11) DEFAULT NULL,
  `smnswr_ignore_NotBeforeDate` date DEFAULT NULL,
  `smnswr_ignore_NotAfterDate` date DEFAULT NULL,
  `smnswr_ignore_Hash` varchar(65) DEFAULT NULL,
  PRIMARY KEY (`smnswr_ignore_GUID`),
  KEY `idHash` (`smnswr_ignore_Hash`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE `smnswr_keystorepwds` (
  `smnswr_pwds_GUID` int(11) NOT NULL AUTO_INCREMENT,
  `smnswr_pwds_Passwords` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`smnswr_pwds_GUID`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE `smnswr_log` (
  `smnswr_log_GUID` int(11) NOT NULL AUTO_INCREMENT,
  `smnswr_log_Process` varchar(50) NOT NULL,
  `smnswr_log_StartTime` datetime NOT NULL,
  `smnswr_log_EndTime` datetime DEFAULT NULL,
  `smnswr_log_Status` varchar(50) DEFAULT NULL,
  `smnswr_log_Results` varchar(5000) DEFAULT NULL,
  PRIMARY KEY (`smnswr_log_GUID`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE `smnswr_notification` (
  `smnswr_notify_GUID` int(11) NOT NULL AUTO_INCREMENT,
  `smnswr_notify_Server` varchar(255) DEFAULT NULL,
  `smnswr_notify_Port` int(11) DEFAULT NULL,
  `smnswr_notify_Start` int(4) unsigned DEFAULT '90',
  `smnswr_notify_Timeout` int(11) DEFAULT NULL,
  `smnswr_notify_Subject` varchar(255) DEFAULT NULL,
  `smnswr_notify_From` varchar(255) DEFAULT NULL,
  `smnswr_notify_Body` varchar(1000) DEFAULT NULL,
  `smnswr_notify_UseSSL` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `smnswr_notify_AuthRequired` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `smnswr_notify_AuthUser` varchar(255) DEFAULT NULL,
  `smnswr_notify_AuthPassword` varchar(255) DEFAULT NULL,
  `smnswr_notify_Frequency` int(11) DEFAULT '1',
  `smnswr_notify_Key` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`smnswr_notify_GUID`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE `smnswr_owner` (
  `smnswr_owner_GUID` int(11) NOT NULL AUTO_INCREMENT,
  `smnswr_owner_Name` varchar(45) DEFAULT NULL,
  `smnswr_owner_Email` varchar(75) DEFAULT NULL,
  `smnswr_owner_FirstName` varchar(45) DEFAULT NULL,
  `smnswr_owner_LastName` varchar(45) DEFAULT NULL,
  `smnswr_owner_Phone` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`smnswr_owner_GUID`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE `smnswr_scanlist` (
  `smnswr_scan_GUID` int(11) NOT NULL AUTO_INCREMENT,
  `smnswr_scan_Name` varchar(100) DEFAULT NULL,
  `smnswr_scan_IPAddress` varchar(250) DEFAULT NULL,
  `smnswr_scan_Port` varchar(25) DEFAULT NULL,
  `smnswr_scan_Path` varchar(1000) DEFAULT NULL,
  `smnswr_scan_NextRun` datetime DEFAULT NULL,
  `smnswr_scan_Frequency` int(11) NOT NULL DEFAULT '1',
  `smnswr_scan_RunNow` tinyint(1) DEFAULT NULL,
  `smnswr_scan_Type` varchar(25) DEFAULT NULL,
  `smnswr_scan_AgentID` int(11) DEFAULT NULL,
  `smnswr_scan_Enabled` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `smnswr_scan_OwnerID` int(11) DEFAULT NULL,
  `smnswr_scan_TrustedRootCA_JKS` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `smnswr_scan_TrustedPubs_P12` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `smnswr_scan_IntermediateCA_KDB` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `smnswr_scan_ThirdPartyCA_Cert` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `smnswr_scan_SingleCerts` varchar(1000) DEFAULT NULL,
  `smnswr_scan_PersonalCerts` tinyint(1) unsigned zerofill DEFAULT '0',
  PRIMARY KEY (`smnswr_scan_GUID`),
  KEY `idxHost` (`smnswr_scan_OwnerID`),
  KEY `idxAgentID` (`smnswr_scan_AgentID`),
  KEY `idxScanEnabled` (`smnswr_scan_Enabled`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE `smnswr_scheduler` (
  `smnswr_schd_GUID` int(11) NOT NULL AUTO_INCREMENT,
  `smnswr_schd_Service` varchar(45) DEFAULT NULL,
  `smnswr_schd_NextRun` datetime DEFAULT NULL,
  `smnswr_schd_Frequency` int(11) NOT NULL DEFAULT '1',
  `smnswr_schd_RunNow` tinyint(1) DEFAULT NULL,
  `smnswr_schd_Enabled` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  PRIMARY KEY (`smnswr_schd_GUID`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE OR REPLACE VIEW `smnswr_certmgmt`.`agentscanlist_view` AS select `smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_Name` AS `agview_scanname`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_GUID` AS `agview_GUID`,`smnswr_certmgmt`.`smnswr_agent`.`smnswr_agent_Server_Agent` AS `agview_agentname`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_Type` AS `agview_type`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_Enabled` AS `agview_enabled`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_OwnerID` AS `agview_OwnerID`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_IPAddress` AS `agview_IPAddress`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_TrustedRootCA_JKS` AS `agview_TrustedRootCA_JKS`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_TrustedPubs_P12` AS `agview_TrustedPublishers_P12`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_IntermediateCA_KDB` AS `agview_IntermediateCA_KDB`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_ThirdPartyCA_Cert` AS `agview_ThirdPartyCA_Cert`, `smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_PersonalCerts` AS `agview_Personal_Cert`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_Port` AS `agview_port`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_Path` AS `agview_certpath`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_NextRun` AS `agview_NextRun`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_Frequency` AS `agview_Frequency`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_SingleCerts` AS `agview_SingleCerts`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_RunNow` AS `agview_RunNow` from (`smnswr_certmgmt`.`smnswr_scanlist` join `smnswr_certmgmt`.`smnswr_agent` on((`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_AgentID` = `smnswr_certmgmt`.`smnswr_agent`.`smnswr_agent_GUID`)));

CREATE OR REPLACE VIEW `certificate_view` AS select `smnswr_certificates`.`smnswr_certs_GUID` AS `cview_GUID`,`smnswr_host`.`smnswr_host_Name` AS `cview_hostname`,`smnswr_certificates`.`smnswr_certs_Path` AS `cview_certpath`,`smnswr_certificates`.`smnswr_certs_Issuer` AS `cview_issuer`,`smnswr_certificates`.`smnswr_certs_IssuedBy` AS `cview_issuedby`,`smnswr_owner`.`smnswr_owner_Name` AS `cview_owner`,`smnswr_owner`.`smnswr_owner_Email` AS `cview_owneremail`,`smnswr_certificates`.`smnswr_certs_Subject` AS `cview_subject`,`smnswr_certificates`.`smnswr_certs_Alias` AS `cview_alias`,`smnswr_certificates`.`smnswr_certs_Algorithm` AS `cview_algorithm`,`smnswr_certificates`.`smnswr_certs_IssuedTo` AS `cview_issuedto`,`smnswr_certificates`.`smnswr_certs_Ignore` AS `cview_ignored`,`smnswr_certificates`.`smnswr_certs_Version` AS `cview_version`,`smnswr_certificates`.`smnswr_certs_NotBeforeDate` AS `cview_StartDate`,`smnswr_certificates`.`smnswr_certs_NotAfterDate` AS `cview_EndDate`,`smnswr_certificates`.`smnswr_certs_LastNotifyDate` AS `cview_NotifyDate`,`smnswr_certificates`.`smnswr_certs_LastScanDate` AS `cview_LastScanDate`,`smnswr_certificates`.`smnswr_certs_Hash` AS `cview_hash` from ((`smnswr_certificates` left join `smnswr_host` on((`smnswr_certificates`.`smnswr_certs_HostID` = `smnswr_host`.`smnswr_host_GUID`))) left join `smnswr_owner` on((`smnswr_certificates`.`smnswr_certs_OwnerID` = `smnswr_owner`.`smnswr_owner_GUID`)));

CREATE OR REPLACE VIEW `tempcertificates_view` AS select `smnswr_certificatestemp`.`smnswr_temp_GUID` AS `cview_GUID`,`smnswr_host`.`smnswr_host_Name` AS `cview_hostname`,`smnswr_certificatestemp`.`smnswr_temp_Path` AS `cview_certpath`,`smnswr_certificatestemp`.`smnswr_temp_Issuer` AS `cview_issuer`,`smnswr_owner`.`smnswr_owner_Name` AS `cview_owner`,`smnswr_certificatestemp`.`smnswr_temp_Subject` AS `cview_subject`,`smnswr_certificatestemp`.`smnswr_temp_Alias` AS `cview_alias`,`smnswr_certificatestemp`.`smnswr_temp_Algorithm` AS `cview_algorithm`,`smnswr_certificatestemp`.`smnswr_temp_Version` AS `cview_version`,`smnswr_certificatestemp`.`smnswr_temp_NotBeforeDate` AS `cview_StartDate`,`smnswr_certificatestemp`.`smnswr_temp_NotAfterDate` AS `cview_EndDate`,`smnswr_certificatestemp`.`smnswr_temp_LastScanDate` AS `cview_LastScanDate` from ((`smnswr_certificatestemp` left join `smnswr_host` on((`smnswr_certificatestemp`.`smnswr_temp_HostID` = `smnswr_host`.`smnswr_host_GUID`))) left join `smnswr_owner` on((`smnswr_certificatestemp`.`smnswr_temp_OwnerID` = `smnswr_owner`.`smnswr_owner_GUID`)));
