USE [smnswr_certmgmt]
GO

DROP VIEW [dbo].[agentscanlist_view]
DROP VIEW [dbo].[certificate_view]
DROP VIEW [dbo].[tempcertificates_view]
GO

ALTER TABLE [dbo].[smnswr_certificates] ADD [smnswr_certs_Alias] [varchar](500) DEFAULT NULL;
ALTER TABLE [dbo].[smnswr_certificatestemp] ADD [smnswr_temp_Alias] [varchar](500) DEFAULT NULL;
GO

ALTER TABLE [dbo].[smnswr_scanlist] ADD [smnswr_scan_PersonalCerts] [tinyint] NOT NULL DEFAULT ('0');
GO

ALTER TABLE [dbo].[smnswr_Host] ALTER COLUMN [smnswr_host_IPAddress] [varchar](250);
ALTER TABLE [dbo].[smnswr_Host] ADD [smnswr_host_IPv6Address] [varchar](250) NULL;
GO

CREATE VIEW [dbo].[agentscanlist_view]
AS
SELECT        dbo.smnswr_scanlist.smnswr_scan_Name AS agview_scanname, dbo.smnswr_scanlist.smnswr_scan_GUID AS agview_GUID, 
                         dbo.smnswr_Agent.smnswr_agent_Server_Agent AS agview_agentname, dbo.smnswr_scanlist.smnswr_scan_Type AS agview_type, 
                         dbo.smnswr_scanlist.smnswr_scan_Enabled AS agview_enabled, dbo.smnswr_scanlist.smnswr_scan_OwnerID AS agview_OwnerID, 
                         dbo.smnswr_scanlist.smnswr_scan_IPAddress AS agview_IPAddress, dbo.smnswr_scanlist.smnswr_scan_TrustedRootCA_JKS AS agview_TrustedRootCA_JKS, 
                         dbo.smnswr_scanlist.smnswr_scan_intermediateCA_KDB AS agview_intermediateCA_KDB, dbo.smnswr_scanlist.smnswr_scan_Port AS agview_port, 
                         dbo.smnswr_scanlist.smnswr_scan_Path AS agview_certpath, dbo.smnswr_scanlist.smnswr_scan_NextRun AS agview_NextRun, 
                         dbo.smnswr_scanlist.smnswr_scan_Frequency AS agview_Frequency, dbo.smnswr_scanlist.smnswr_scan_RunNow AS agview_RunNow, 
                         dbo.smnswr_scanlist.smnswr_scan_ThirdPartyCA_Cert AS agview_ThirdPartyCA_Cert, dbo.smnswr_scanlist.smnswr_scan_SingleCerts AS agview_SingleCerts, 
                         dbo.smnswr_scanlist.smnswr_scan_TrustedPubs_P12 AS agview_TrustedPublishers_P12, 
                         dbo.smnswr_scanlist.smnswr_scan_PersonalCerts AS agview_Personal_Cert
FROM            dbo.smnswr_scanlist INNER JOIN
                         dbo.smnswr_Agent ON dbo.smnswr_scanlist.smnswr_scan_AgentID = dbo.smnswr_Agent.smnswr_agent_GUID

GO

CREATE VIEW [dbo].[certificate_view]
AS
SELECT        dbo.smnswr_certificates.smnswr_certs_GUID AS cview_GUID, dbo.smnswr_Host.smnswr_host_Name AS cview_hostname, 
                         dbo.smnswr_certificates.smnswr_certs_Path AS cview_certpath, dbo.smnswr_certificates.smnswr_certs_Issuer AS cview_issuer, 
                         dbo.smnswr_certificates.smnswr_certs_IssuedBy AS cview_issuedby, dbo.smnswr_Owner.smnswr_owner_Name AS cview_owner, 
                         dbo.smnswr_Owner.smnswr_owner_Email AS cview_owneremail, dbo.smnswr_certificates.smnswr_certs_Subject AS cview_subject, dbo.smnswr_certificates.smnswr_certs_Alias AS cview_alias, 
                         dbo.smnswr_certificates.smnswr_certs_Algorithm AS cview_algorithm, dbo.smnswr_certificates.smnswr_certs_IssuedTo AS cview_issuedto, 
                         dbo.smnswr_certificates.smnswr_certs_Ignore AS cview_ignored, dbo.smnswr_certificates.smnswr_certs_Version AS cview_version, 
                         dbo.smnswr_certificates.smnswr_certs_NotBeforeDate AS cview_Startdate, dbo.smnswr_certificates.smnswr_certs_NotAfterDate AS cview_Enddate, 
                         dbo.smnswr_certificates.smnswr_certs_LastNotifyDate AS cview_Notifydate, dbo.smnswr_certificates.smnswr_certs_Hash AS cview_hash, 
                         dbo.smnswr_certificates.smnswr_certs_LastScanDate AS cview_LastScanDate
FROM            dbo.smnswr_certificates LEFT OUTER JOIN
                         dbo.smnswr_Host ON dbo.smnswr_certificates.smnswr_certs_HostID = dbo.smnswr_Host.smnswr_host_GUID LEFT OUTER JOIN
                         dbo.smnswr_Owner ON dbo.smnswr_certificates.smnswr_certs_OwnerID = dbo.smnswr_Owner.smnswr_owner_GUID

GO
/****** Object:  View [dbo].[tempcertificates_view]    Script Date: 9/12/2012 10:01:06 PM ******/

CREATE VIEW [dbo].[tempcertificates_view]
AS
SELECT        dbo.smnswr_certificatestemp.smnswr_temp_GUID AS cview_GUID, dbo.smnswr_Host.smnswr_host_Name AS cview_hostname, 
                         dbo.smnswr_certificatestemp.smnswr_temp_Path AS cview_certpath, dbo.smnswr_certificatestemp.smnswr_temp_Issuer AS cview_issuer, 
                         dbo.smnswr_Owner.smnswr_owner_Name AS cview_owner, dbo.smnswr_certificatestemp.smnswr_temp_Subject AS cview_subject, dbo.smnswr_certificatestemp.smnswr_temp_Alias AS cview_alias, 
                         dbo.smnswr_certificatestemp.smnswr_temp_Algorithm AS cview_algorithm, dbo.smnswr_certificatestemp.smnswr_temp_Version AS cview_version, 
                         dbo.smnswr_certificatestemp.smnswr_temp_NotBeforedate AS cview_Startdate,
						 dbo.smnswr_certificatestemp.smnswr_temp_NotAfterdate AS cview_Enddate,
						 dbo.smnswr_certificatestemp.smnswr_temp_LastScanDate AS cview_LastScanDate
FROM            dbo.smnswr_certificatestemp LEFT OUTER JOIN
                         dbo.smnswr_Host ON dbo.smnswr_certificatestemp.smnswr_temp_HostID = dbo.smnswr_Host.smnswr_host_GUID LEFT OUTER JOIN
                         dbo.smnswr_Owner ON dbo.smnswr_certificatestemp.smnswr_temp_OwnerID = dbo.smnswr_Owner.smnswr_owner_GUID

GO