delimiter ;

USE `smnswr_certmgmt`;

ALTER TABLE `smnswr_certmgmt`.`smnswr_scanlist` 
ADD COLUMN `smnswr_scan_PersonalCerts` TINYINT(1) ZEROFILL UNSIGNED NULL DEFAULT '0' AFTER `smnswr_scan_SingleCerts`;

ALTER TABLE `smnswr_certmgmt`.`smnswr_Host` MODIFY COLUMN `smnswr_host_IPAddress` varchar(250);
ALTER TABLE `smnswr_certmgmt`.`smnswr_Host` ADD COLUMN `smnswr_host_IPv6Address` varchar(250) DEFAULT NULL;

ALTER TABLE `smnswr_certmgmt`.`smnswr_certificates`
ADD COLUMN `smnswr_certs_Alias` varchar(500) DEFAULT NULL AFTER `smnswr_certs_Path`;

ALTER TABLE `smnswr_certmgmt`.`smnswr_certificatestemp`
ADD COLUMN `smnswr_temp_Alias` varchar(500) DEFAULT NULL AFTER `smnswr_temp_Path`;

CREATE OR REPLACE VIEW `smnswr_certmgmt`.`agentscanlist_view` AS select `smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_Name` AS `agview_scanname`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_GUID` AS `agview_GUID`,`smnswr_certmgmt`.`smnswr_agent`.`smnswr_agent_Server_Agent` AS `agview_agentname`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_Type` AS `agview_type`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_Enabled` AS `agview_enabled`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_OwnerID` AS `agview_OwnerID`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_IPAddress` AS `agview_IPAddress`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_TrustedRootCA_JKS` AS `agview_TrustedRootCA_JKS`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_TrustedPubs_P12` AS `agview_TrustedPublishers_P12`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_IntermediateCA_KDB` AS `agview_IntermediateCA_KDB`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_ThirdPartyCA_Cert` AS `agview_ThirdPartyCA_Cert`, `smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_PersonalCerts` AS `agview_Personal_Cert`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_Port` AS `agview_port`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_Path` AS `agview_certpath`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_NextRun` AS `agview_NextRun`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_Frequency` AS `agview_Frequency`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_SingleCerts` AS `agview_SingleCerts`,`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_RunNow` AS `agview_RunNow` from (`smnswr_certmgmt`.`smnswr_scanlist` join `smnswr_certmgmt`.`smnswr_agent` on((`smnswr_certmgmt`.`smnswr_scanlist`.`smnswr_scan_AgentID` = `smnswr_certmgmt`.`smnswr_agent`.`smnswr_agent_GUID`)));

CREATE OR REPLACE VIEW `certificate_view` AS select `smnswr_certificates`.`smnswr_certs_GUID` AS `cview_GUID`,`smnswr_host`.`smnswr_host_Name` AS `cview_hostname`,`smnswr_certificates`.`smnswr_certs_Path` AS `cview_certpath`,`smnswr_certificates`.`smnswr_certs_Issuer` AS `cview_issuer`,`smnswr_certificates`.`smnswr_certs_IssuedBy` AS `cview_issuedby`,`smnswr_owner`.`smnswr_owner_Name` AS `cview_owner`,`smnswr_owner`.`smnswr_owner_Email` AS `cview_owneremail`,`smnswr_certificates`.`smnswr_certs_Subject` AS `cview_subject`,`smnswr_certificates`.`smnswr_certs_Alias` AS `cview_alias`,`smnswr_certificates`.`smnswr_certs_Algorithm` AS `cview_algorithm`,`smnswr_certificates`.`smnswr_certs_IssuedTo` AS `cview_issuedto`,`smnswr_certificates`.`smnswr_certs_Ignore` AS `cview_ignored`,`smnswr_certificates`.`smnswr_certs_Version` AS `cview_version`,`smnswr_certificates`.`smnswr_certs_NotBeforeDate` AS `cview_StartDate`,`smnswr_certificates`.`smnswr_certs_NotAfterDate` AS `cview_EndDate`,`smnswr_certificates`.`smnswr_certs_LastNotifyDate` AS `cview_NotifyDate`,`smnswr_certificates`.`smnswr_certs_LastScanDate` AS `cview_LastScanDate`,`smnswr_certificates`.`smnswr_certs_Hash` AS `cview_hash` from ((`smnswr_certificates` left join `smnswr_host` on((`smnswr_certificates`.`smnswr_certs_HostID` = `smnswr_host`.`smnswr_host_GUID`))) left join `smnswr_owner` on((`smnswr_certificates`.`smnswr_certs_OwnerID` = `smnswr_owner`.`smnswr_owner_GUID`)));

CREATE OR REPLACE VIEW `tempcertificates_view` AS select `smnswr_certificatestemp`.`smnswr_temp_GUID` AS `cview_GUID`,`smnswr_host`.`smnswr_host_Name` AS `cview_hostname`,`smnswr_certificatestemp`.`smnswr_temp_Path` AS `cview_certpath`,`smnswr_certificatestemp`.`smnswr_temp_Issuer` AS `cview_issuer`,`smnswr_owner`.`smnswr_owner_Name` AS `cview_owner`,`smnswr_certificatestemp`.`smnswr_temp_Subject` AS `cview_subject`,`smnswr_certificatestemp`.`smnswr_temp_Alias` AS `cview_alias`,`smnswr_certificatestemp`.`smnswr_temp_Algorithm` AS `cview_algorithm`,`smnswr_certificatestemp`.`smnswr_temp_Version` AS `cview_version`,`smnswr_certificatestemp`.`smnswr_temp_NotBeforeDate` AS `cview_StartDate`,`smnswr_certificatestemp`.`smnswr_temp_NotAfterDate` AS `cview_EndDate`,`smnswr_certificatestemp`.`smnswr_temp_LastScanDate` AS `cview_LastScanDate` from ((`smnswr_certificatestemp` left join `smnswr_host` on((`smnswr_certificatestemp`.`smnswr_temp_HostID` = `smnswr_host`.`smnswr_host_GUID`))) left join `smnswr_owner` on((`smnswr_certificatestemp`.`smnswr_temp_OwnerID` = `smnswr_owner`.`smnswr_owner_GUID`)));

