ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" ADD "SMNSWR_SCAN_PERSONALCERTS" NUMBER(1,0) DEFAULT 0;
ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_HOST" MODIFY "SMNSWR_HOST_IPADDRESS" VARCHAR2(250 CHAR);
ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_HOST" ADD "SMNSWR_HOST_IPV6ADDRESS" VARCHAR2(250 CHAR);
ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ADD "SMNSWR_CERTS_ALIAS" VARCHAR2(500 CHAR);
ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATESTEMP" ADD "SMNSWR_TEMP_ALIAS" VARCHAR2(500 CHAR);

  CREATE OR REPLACE VIEW "SMNSWR_CERTMGMT"."AGENTSCANLIST_VIEW" ("AGVIEW_SCANNAME", "AGVIEW_GUID", "AGVIEW_AGENTNAME", "AGVIEW_TYPE", "AGVIEW_ENABLED", "AGVIEW_OWNERID", "AGVIEW_IPADDRESS", "AGVIEW_TRUSTEDROOTCA_JKS", "AGVIEW_TRUSTEDPUBLISHERS_P12", "AGVIEW_INTERMEDIATECA_KDB", "AGVIEW_THIRDPARTYCA_CERT", "AGVIEW_PORT", "AGVIEW_CERTPATH", "AGVIEW_NEXTRUN", "AGVIEW_FREQUENCY", "AGVIEW_SINGLECERTS", "AGVIEW_RUNNOW", "AGVIEW_PERSONAL_CERT") AS 
  SELECT smnswr_scanlist.smnswr_scan_Name           AS agview_scanname,
  smnswr_scanlist.smnswr_scan_GUID                  AS agview_GUID,
  smnswr_agent.smnswr_agent_Server_Agent            AS agview_agentname,
  smnswr_scanlist.smnswr_scan_Type                  AS agview_type,
  smnswr_scanlist.smnswr_scan_Enabled               AS agview_enabled,
  smnswr_scanlist.smnswr_scan_OwnerID               AS agview_OwnerID,
  smnswr_scanlist.smnswr_scan_IPAddress             AS agview_IPAddress,
  smnswr_scanlist.smnswr_scan_TrustedRootCA_JKS     AS agview_TrustedRootCA_JKS,
  smnswr_scanlist.smnswr_scan_TrustedPubs_P12       AS agview_TrustedPublishers_P12,
  Smnswr_Scanlist.Smnswr_Scan_Intermediateca_Kdb    As Agview_Intermediateca_Kdb,
  smnswr_scanlist.smnswr_scan_ThirdPartyCA_Cert     AS agview_ThirdPartyCA_Cert,
  smnswr_scanlist.smnswr_scan_Port                  AS agview_port,
  smnswr_scanlist.smnswr_scan_Path                  AS agview_certpath,
  smnswr_scanlist.smnswr_scan_NextRun               AS agview_NextRun,
  Smnswr_Scanlist.Smnswr_Scan_Frequency             As Agview_Frequency,
  Smnswr_Scanlist.Smnswr_Scan_SingleCerts           As Agview_SingleCerts,
  smnswr_scanlist.smnswr_scan_RunNow                AS agview_RunNow,
  smnswr_scanlist.smnswr_scan_PersonalCerts 		AS agview_Personal_Cert
FROM (smnswr_scanlist
JOIN smnswr_agent
On((Smnswr_Scanlist.Smnswr_Scan_Agentid = Smnswr_Agent.Smnswr_Agent_Guid)));
--------------------------------------------------------
--  DDL for View CERTIFICATE_VIEW
--------------------------------------------------------

  CREATE OR REPLACE VIEW "SMNSWR_CERTMGMT"."CERTIFICATE_VIEW" ("CVIEW_GUID", "CVIEW_HOSTNAME", "CVIEW_CERTPATH", "CVIEW_ISSUER", "CVIEW_ISSUEDBY", "CVIEW_OWNER", "CVIEW_OWNEREMAIL", "CVIEW_SUBJECT", "CVIEW_ALGORITHM", "CVIEW_ISSUEDTO", "CVIEW_IGNORED", "CVIEW_VERSION", "CVIEW_STARTDATE", "CVIEW_ENDDATE", "CVIEW_NOTIFYDATE", "CVIEW_LASTSCANDATE", "CVIEW_HASH", "CVIEW_ALIAS") AS 
  SELECT smnswr_certificates.smnswr_certs_GUID      AS cview_GUID,
  smnswr_host.smnswr_host_Name                    AS cview_hostname,
  smnswr_certificates.smnswr_certs_Path           AS cview_certpath,
  smnswr_certificates.smnswr_certs_Issuer         AS cview_issuer,
  smnswr_certificates.smnswr_certs_IssuedBy       AS cview_issuedby,
  smnswr_owner.smnswr_owner_Name                  AS cview_owner,
  smnswr_owner.smnswr_owner_Email                 AS cview_owneremail,
  smnswr_certificates.smnswr_certs_Subject        AS cview_subject,
  smnswr_certificates.smnswr_certs_Algorithm      AS cview_algorithm,
  smnswr_certificates.smnswr_certs_IssuedTo       AS cview_issuedto,
  smnswr_certificates.smnswr_certs_Ignore         AS cview_ignored,
  smnswr_certificates.smnswr_certs_Version        AS cview_version,
  smnswr_certificates.smnswr_certs_NotBeforeDate  AS cview_StartDate,
  smnswr_certificates.smnswr_certs_NotAfterDate   AS cview_EndDate,
  Smnswr_Certificates.Smnswr_Certs_Lastnotifydate As cview_Notifydate,
  smnswr_certificates.Smnswr_Certs_Lastscandate   As cview_LastScandate,
  smnswr_certificates.smnswr_certs_Hash           AS cview_hash,
  smnswr_certificates.smnswr_certs_Alias		  AS cview_alias
FROM ((smnswr_certificates
LEFT JOIN smnswr_host
ON((smnswr_certificates.smnswr_certs_HostID = smnswr_host.smnswr_host_GUID)))
LEFT JOIN smnswr_owner
On((Smnswr_Certificates.Smnswr_Certs_Ownerid = Smnswr_Owner.Smnswr_Owner_Guid)));

--------------------------------------------------------
--  DDL for View TEMPCERTIFICATES_VIEW
--------------------------------------------------------

  CREATE OR REPLACE VIEW "SMNSWR_CERTMGMT"."TEMPCERTIFICATES_VIEW" ("CVIEW_GUID", "CVIEW_HOSTNAME", "CVIEW_CERTPATH", "CVIEW_ISSUER", "CVIEW_OWNER", "CVIEW_SUBJECT", "CVIEW_ALGORITHM", "CVIEW_VERSION", "CVIEW_STARTDATE", "CVIEW_ENDDATE", "CVIEW_LASTSCANDATE", "CVIEW_ALIAS") AS 
  SELECT smnswr_certificatestemp.smnswr_temp_GUID     AS cview_GUID,
  smnswr_host.smnswr_host_Name                      AS cview_hostname,
  smnswr_certificatestemp.smnswr_temp_Path          AS cview_certpath,
  smnswr_certificatestemp.smnswr_temp_Issuer        AS cview_issuer,
  smnswr_owner.smnswr_owner_Name                    AS cview_owner,
  smnswr_certificatestemp.smnswr_temp_Subject       AS cview_subject,
  smnswr_certificatestemp.smnswr_temp_Algorithm     AS cview_algorithm,
  smnswr_certificatestemp.smnswr_temp_Version       AS cview_version,
  smnswr_certificatestemp.smnswr_temp_NotBeforeDate AS cview_StartDate,
  smnswr_certificatestemp.smnswr_temp_NotAfterDate  AS cview_EndDate,
  smnswr_certificatestemp.smnswr_temp_LastScanDate  AS cview_LastScanDate,
  smnswr_certificatestemp.smnswr_temp_Alias 		AS cview_alias
From ((Smnswr_Certificatestemp
LEFT JOIN smnswr_host
ON((smnswr_certificatestemp.smnswr_temp_HostID = smnswr_host.smnswr_host_GUID)))
LEFT JOIN smnswr_owner
On((Smnswr_Certificatestemp.Smnswr_Temp_Ownerid = Smnswr_Owner.Smnswr_Owner_Guid)));